# $Revision: 1.9 $, $Date: 2011/09/20 06:45:18 $
Summary:	Network connections viewer for Gnome
Summary(pl.UTF-8):	Przeglądarka połączeń sieciowych dla Gnome
Name:		netactview
Version:	0.6.1
Release:	1
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/netactview/%{name}-%{version}.tar.bz2
# Source0-md5:	a6d14aaa2c0be9433cd61c1a410aca17
Patch0:		%{name}-desktop.patch
URL:		http://netactview.sourceforge.net
BuildRequires:	GConf2-libs
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2.8
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	libgnome-devel >= 2.0
BuildRequires:	libgtop-devel
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
Requires:	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netactview is a graphical network connections viewer for Linux,
similar in functionality with Netstat. It includes features like host
name retrieval, automatic refresh and sorting.

%description -l pl.UTF-8
Netactview jest graficzną przeglądarką połączeń sieciowych dla
Linuksa, podobną w swojej funkcjonalności do Netstat. Posiada takie
cechy jak: odwzorowywanie nazw hostów, automatyczne odświeżanie i
sortowanie.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake} \
	--add-missing --gnu
%{__autoconf}

%configure \
	--enable-maintainer-mode

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root)%{_bindir}/netactview
%{_desktopdir}/netactview.desktop
%{_mandir}/man1/netactview.1*
%{_datadir}/netactview
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netactview.spec,v $
Revision 1.9  2011/09/20 06:45:18  lisu
- updated to 0.6.1 (thanks to fi9o - fi9o at jabster dot pl)
- BR: libgtop-devel

Revision 1.8  2011/03/11 23:41:25  dirdival
- updated to 0.6

Revision 1.7  2011/01/28 18:43:12  sparky
- improved file flow: %clean just after %install

Revision 1.6  2010/01/19 22:55:55  dirdival
- up to 0.5.1
- Fixed a bug in window size saving that appeared on XFCE

Revision 1.5  2009/11/16 13:41:34  zbyniu
- BR: pkgconfig

Revision 1.4  2009/08/31 22:44:21  cactus
- now good group

Revision 1.3  2009/08/31 22:43:02  cactus
- use find_lang macro

Revision 1.2  2009/08/31 22:37:29  cactus
- group

Revision 1.1  2009/08/31 22:36:43  cactus
- initial by Krzysztof Golinski
